var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
import { ChangeDetectionStrategy, Component, EventEmitter, Input, Output } from "@angular/core";
import { FormGroup } from "@angular/forms";
import { DynamicFormControlComponent, DynamicFormLayoutService, DynamicFormValidationService, DynamicRadioGroupModel } from "@ng-dynamic-forms/core";
var DynamicFoundationRadioGroupComponent = /** @class */ (function (_super) {
    __extends(DynamicFoundationRadioGroupComponent, _super);
    function DynamicFoundationRadioGroupComponent(layoutService, validationService) {
        var _this = _super.call(this, layoutService, validationService) || this;
        _this.layoutService = layoutService;
        _this.validationService = validationService;
        _this.bindId = true;
        _this.blur = new EventEmitter();
        _this.change = new EventEmitter();
        _this.focus = new EventEmitter();
        return _this;
    }
    DynamicFoundationRadioGroupComponent.decorators = [
        { type: Component, args: [{
                    selector: "dynamic-foundation-radio-group",
                    template: "<fieldset role=\"radiogroup\"\n          [dynamicId]=\"bindId && model.id\"\n          [formGroup]=\"group\"\n          [name]=\"model.name\"\n          [ngClass]=\"getClass('element', 'control')\"\n          [tabindex]=\"model.tabIndex\"\n          (change)=\"onChange($event)\">\n\n    <legend *ngIf=\"model.legend\" [innerHTML]=\"model.legend\"></legend>\n\n    <label *ngFor=\"let option of model.options$ | async\" [ngClass]=\"getClass('element', 'option')\">\n\n        <input type=\"radio\"\n               [formControlName]=\"model.id\"\n               [name]=\"model.name\"\n               [value]=\"option.value\"\n               (blur)=\"onBlur($event)\"\n               (focus)=\"onFocus($event)\"/><span [innerHTML]=\"option.label\"></span></label>\n\n</fieldset>",
                    changeDetection: ChangeDetectionStrategy.OnPush
                }] }
    ];
    /** @nocollapse */
    DynamicFoundationRadioGroupComponent.ctorParameters = function () { return [
        { type: DynamicFormLayoutService, },
        { type: DynamicFormValidationService, },
    ]; };
    DynamicFoundationRadioGroupComponent.propDecorators = {
        "bindId": [{ type: Input },],
        "group": [{ type: Input },],
        "layout": [{ type: Input },],
        "model": [{ type: Input },],
        "blur": [{ type: Output },],
        "change": [{ type: Output },],
        "focus": [{ type: Output },],
    };
    return DynamicFoundationRadioGroupComponent;
}(DynamicFormControlComponent));
export { DynamicFoundationRadioGroupComponent };
function DynamicFoundationRadioGroupComponent_tsickle_Closure_declarations() {
    /** @type {!Array<{type: !Function, args: (undefined|!Array<?>)}>} */
    DynamicFoundationRadioGroupComponent.decorators;
    /**
     * @nocollapse
     * @type {function(): !Array<(null|{type: ?, decorators: (undefined|!Array<{type: !Function, args: (undefined|!Array<?>)}>)})>}
     */
    DynamicFoundationRadioGroupComponent.ctorParameters;
    /** @type {!Object<string,!Array<{type: !Function, args: (undefined|!Array<?>)}>>} */
    DynamicFoundationRadioGroupComponent.propDecorators;
    /** @type {?} */
    DynamicFoundationRadioGroupComponent.prototype.bindId;
    /** @type {?} */
    DynamicFoundationRadioGroupComponent.prototype.group;
    /** @type {?} */
    DynamicFoundationRadioGroupComponent.prototype.layout;
    /** @type {?} */
    DynamicFoundationRadioGroupComponent.prototype.model;
    /** @type {?} */
    DynamicFoundationRadioGroupComponent.prototype.blur;
    /** @type {?} */
    DynamicFoundationRadioGroupComponent.prototype.change;
    /** @type {?} */
    DynamicFoundationRadioGroupComponent.prototype.focus;
    /** @type {?} */
    DynamicFoundationRadioGroupComponent.prototype.layoutService;
    /** @type {?} */
    DynamicFoundationRadioGroupComponent.prototype.validationService;
}
//# sourceMappingURL=dynamic-foundation-radio-group.component.js.map