var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
import { Component, EventEmitter, Input, Output } from "@angular/core";
import { FormGroup } from "@angular/forms";
import { DynamicFormArrayComponent, DynamicFormArrayModel, DynamicFormLayoutService, DynamicFormValidationService } from "@ng-dynamic-forms/core";
var DynamicFoundationFormArrayComponent = /** @class */ (function (_super) {
    __extends(DynamicFoundationFormArrayComponent, _super);
    function DynamicFoundationFormArrayComponent(layoutService, validationService) {
        var _this = _super.call(this, layoutService, validationService) || this;
        _this.layoutService = layoutService;
        _this.validationService = validationService;
        _this.bindId = true;
        _this.blur = new EventEmitter();
        _this.change = new EventEmitter();
        _this.customEvent = new EventEmitter();
        _this.focus = new EventEmitter();
        return _this;
    }
    DynamicFoundationFormArrayComponent.decorators = [
        { type: Component, args: [{
                    selector: "dynamic-foundation-form-array",
                    template: "<ng-container [formGroup]=\"group\">\n\n    <div [dynamicId]=\"bindId && model.id\"\n         [formArrayName]=\"model.id\"\n         [ngClass]=\"getClass('element', 'control')\">\n\n        <div *ngFor=\"let groupModel of model.groups; let idx = index\" role=\"group\"\n             [formGroupName]=\"idx\" [ngClass]=\"[getClass('element', 'group'), getClass('grid', 'group')]\">\n\n            <ng-container *ngTemplateOutlet=\"startTemplate?.templateRef; context: groupModel\"></ng-container>\n\n            <dynamic-foundation-form-control *ngFor=\"let _model of groupModel.group\"\n                                             [bindId]=\"false\"\n                                             [context]=\"groupModel\"\n                                             [group]=\"control.at(idx)\"\n                                             [hidden]=\"_model.hidden\"\n                                             [layout]=\"layout\"\n                                             [model]=\"_model\"\n                                             [templates]=\"templates\"\n                                             [ngClass]=\"[getClass('element', 'host', _model), getClass('grid', 'host', _model)]\"\n                                             (blur)=\"onBlur($event)\"\n                                             (change)=\"onChange($event)\"\n                                             (focus)=\"onFocus($event)\"\n                                             (bsEvent)=\"onCustomEvent($event, null, true)\"></dynamic-foundation-form-control>\n\n            <ng-container *ngTemplateOutlet=\"endTemplate?.templateRef; context: groupModel\"></ng-container>\n\n        </div>\n\n    </div>\n\n</ng-container>"
                }] }
    ];
    /** @nocollapse */
    DynamicFoundationFormArrayComponent.ctorParameters = function () { return [
        { type: DynamicFormLayoutService, },
        { type: DynamicFormValidationService, },
    ]; };
    DynamicFoundationFormArrayComponent.propDecorators = {
        "bindId": [{ type: Input },],
        "group": [{ type: Input },],
        "layout": [{ type: Input },],
        "model": [{ type: Input },],
        "templates": [{ type: Input },],
        "blur": [{ type: Output },],
        "change": [{ type: Output },],
        "customEvent": [{ type: Output },],
        "focus": [{ type: Output },],
    };
    return DynamicFoundationFormArrayComponent;
}(DynamicFormArrayComponent));
export { DynamicFoundationFormArrayComponent };
function DynamicFoundationFormArrayComponent_tsickle_Closure_declarations() {
    /** @type {!Array<{type: !Function, args: (undefined|!Array<?>)}>} */
    DynamicFoundationFormArrayComponent.decorators;
    /**
     * @nocollapse
     * @type {function(): !Array<(null|{type: ?, decorators: (undefined|!Array<{type: !Function, args: (undefined|!Array<?>)}>)})>}
     */
    DynamicFoundationFormArrayComponent.ctorParameters;
    /** @type {!Object<string,!Array<{type: !Function, args: (undefined|!Array<?>)}>>} */
    DynamicFoundationFormArrayComponent.propDecorators;
    /** @type {?} */
    DynamicFoundationFormArrayComponent.prototype.bindId;
    /** @type {?} */
    DynamicFoundationFormArrayComponent.prototype.group;
    /** @type {?} */
    DynamicFoundationFormArrayComponent.prototype.layout;
    /** @type {?} */
    DynamicFoundationFormArrayComponent.prototype.model;
    /** @type {?} */
    DynamicFoundationFormArrayComponent.prototype.templates;
    /** @type {?} */
    DynamicFoundationFormArrayComponent.prototype.blur;
    /** @type {?} */
    DynamicFoundationFormArrayComponent.prototype.change;
    /** @type {?} */
    DynamicFoundationFormArrayComponent.prototype.customEvent;
    /** @type {?} */
    DynamicFoundationFormArrayComponent.prototype.focus;
    /** @type {?} */
    DynamicFoundationFormArrayComponent.prototype.layoutService;
    /** @type {?} */
    DynamicFoundationFormArrayComponent.prototype.validationService;
}
//# sourceMappingURL=dynamic-foundation-form-array.component.js.map